Rated 4 out of 5 stars

I'm using Lightning for a long time now and my life is organized around it.Today: "Lightning is not compatible with Thunderbird 11...." No calendar, no idea what appointments I have. This scks big time...

This review is for a previous version of the add-on (1.9.1). 

You are using an unsupported version combination. Consider upgrading to Thunderbird 17 and Lightning 1.9.1